## org.apache.mahout.df.mapreduce.partial
Class Step2Job

    java.lang.Object
      org.apache.mahout.df.mapreduce.partial.Step2Job

    public class Step2Job

extends java.lang.Object

2nd step of the partial mapreduce builder. Computes the oob predictions using all the trees of the forest

Constructor Summary
`Step2Job(org.apache.hadoop.fs.Path base, org.apache.hadoop.fs.Path dataPath, org.apache.hadoop.fs.Path datasetPath, Step0Job.Step0Output[] partitions)`

Method Summary
`protected void` `parseOutput(org.apache.hadoop.mapreduce.Job job, PredictionCallback callback)` Extracts the output and processes it
`void` `run(org.apache.hadoop.conf.Configuration conf, TreeID[] keys, Node[] trees, PredictionCallback callback)` Run the second step.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Step2Job

    public Step2Job(org.apache.hadoop.fs.Path base,
                    org.apache.hadoop.fs.Path dataPath,
                    org.apache.hadoop.fs.Path datasetPath,
                    Step0Job.Step0Output[] partitions)

Parameters:
  `base` - base directory
  `dataPath` - data used in the first step
  `datasetPath` -
  `partitions` - partitions' infos in hadoop's order

Method Detail

### run

    public void run(org.apache.hadoop.conf.Configuration conf,
                    TreeID[] keys,
                    Node[] trees,
                    PredictionCallback callback)
             throws java.io.IOException,
                    java.lang.ClassNotFoundException,
                    java.lang.InterruptedException

  Run the second step.

  Parameters:
    `conf` - configuration
    `keys` - keys returned by the first step
    `trees` - trees returned by the first step
    `callback` -
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.InterruptedException`

### parseOutput

    protected void parseOutput(org.apache.hadoop.mapreduce.Job job,
                               PredictionCallback callback)
                        throws java.io.IOException

  Extracts the output and processes it

  Parameters:
    `job` -
    `callback` -
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.